# examples/SysLibs/EzlibExample/ezlibexample.cpp File Reference

Go to the source code of this file.

## Functions
| _LIT (KTitle,"Ezlib example")
| _LIT (KTextPressAKey,"\n\nPress any key to step through the example\n")
| _LIT (KExit,"\nPress any key to exit the application")
| _LIT (KPressAKey,"\nPress any key to continue \n")
| _LIT (KProperties,"Press any key to have a look at the properties of the zipped files \n")
| _LIT (KDecompress,"Gzip file successfully decompressed\n")
| _LIT (KCompress,"\nFile successfully compressed to gzip format and saved\n")
| _LIT (KNoFilesFound,"No appropriate files located in this folder.\r\n")
| _LIT (KLineSpace,"\r\n")
| _LIT (KFileInfo,"\nCompressing file %S")
| _LIT (KFileOpen,"\nOpening file: %S\r\n")
| _LIT (KFileExtract,"\nExtracting the file %S\n")
| _LIT (KFileZipExtract,"\nExtracting files from the zip file %S\n")
| _LIT (KZipName,"\nName: %S ")
| _LIT (KZipCRC32,"\nCRC32: %X ")
| _LIT (KZipCSize,"\nCompressed Size: %d")
| _LIT (KZipUCSize,"\nUncompressed Size: %d")
| _LIT (KOpenedSuccessfully,"%S opened successfully.\n")
| _LIT (KExtractZipPathMulti,"\\private\\E80000B7\\zip\\extracts\\")
| _LIT (KExtractZipPathSingle,"\\private\\E80000B7\\zip\\extracts\\singlefile\\")
| _LIT (KCompressGzipPath,"\\private\\E80000B7\\gzip\\extracts\\")
| _LIT (KCompressZipFile,"icon.bmp")
| _LIT (KExtractGzipFile,"error.wav")
LOCAL_C void | MainL ()
GLDEF_C TInt | E32Main ()

## Detailed Description

Definition in file ezlibexample.cpp.

## Function Documentation

LOCAL_C void MainL | ( |  | ) |

Much simpler MainL(), uses the new Rendezvous() call to sync with the client

Secure variant Much simpler, uses the new Rendezvous() call to sync with the client

Definition at line 407 of file ezlibexample.cpp.

GLDEF_C TInt E32Main | ( |  | ) |

Returns standard error code on exit

Secure variant only Process entry point. Called by client using RProcess API

Returns:
  Standard Epoc error code on process exit
  Standard Epoc error code on process exit Secure variant only Process entry point. Called by client using RProcess API

Entry point for the example

The below section is added to make the code compatible with v9.1 This is because only exe files are compatible with v9.1

Standard entry point function.

A normal Symbian OS executable provides an E32Main() function which is called by the operating system to start the program.

Definition at line 452 of file ezlibexample.cpp.